Summary:        A simple chess board game for KDE4
Name:           knights
Version:        2.5.0
Release:        %mkrel 1
###URL:            http://noughmad.eu/knights
URL:		http://kde-apps.org/content/show.php/Knights?content=122046
Source0:	http://dl.dropbox.com/u/2888238/Knights/%{name}-%{version}.tar.xz
Group:          Games/Boards
License:        GPLv2
BuildRequires:  %{_lib}kdegames-devel >= 4.13.3
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:       gnuchess

%description
Knights is a simple chess board for KDE4. It is a rewrite of the KDE3 Knights,
but it's not yet as feature-complete compared to the old one. Currently you can
play against computer engines that support the XBoard protocol (like GnuChess)
or against a player at the same computer. It has automatic rule checking and
some nice animations.
#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make


%install
%makeinstall_std -C build

%find_lang %name --with-kde

%files -f %name.lang
%defattr(-,root,root,-)
%doc README
%{_kde_bindir}/%{name}
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_appsdir}/%{name}
%{_kde_datadir}/config.kcfg/%{name}.kcfg
%{_kde_configdir}/knights.knsrc
%{_kde_iconsdir}/hicolor/*/apps/*
%{_datadir}/dbus-1/interfaces/org.kde.Knights.xml
%{_docdir}/HTML/*/%{name}/

#scriplet to update the icon cache
%post
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :
%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi
%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
#end of scriptlet to update the icon cache

%changelog
* Sun Aug 24 2014 pinoc <vogtpet at gmail.com> 2.5.0-1pclos2014
- imported package
